Bug 1444781 (CVE-2017-8086) - CVE-2017-8086 Qemu: 9pfs: host memory leakage via v9pfs_list_xattr
Summary: CVE-2017-8086 Qemu: 9pfs: host memory leakage via v9pfs_list_xattr
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-8086
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170410,reported=2...
Depends On: 1444782 1444783
Blocks: 1440146
TreeView+ depends on / blocked
 
Reported: 2017-04-24 09:43 UTC by Prasad J Pandit
Modified: 2019-06-08 21:57 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:11:03 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-04-24 09:43:43 UTC
Quick Emulator(Qemu) built with the virtio-9p back-end support is vulnerable
to a memory leakage issue. It could occur while querying file system extended
attributes via 9pfs_list_xattr() routine.

A privileged user/process inside guest could use this flaw to leak host memory
resulting in Dos.

Upstream patch:
---------------
    -> http://git.qemu.org/?p=qemu.git;a=commit;h=4ffcdef4277a91af15a3c09f7d16af072c29f3f2

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/04/25/5

Comment 1 Prasad J Pandit 2017-04-24 09:44:21 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Gear Team)

Comment 2 Prasad J Pandit 2017-04-24 09:45:47 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1444783]

Comment 3 Prasad J Pandit 2017-04-24 09:46:14 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1444782]


Note You need to log in before you can comment on or make changes to this bug.